GET /repos/{owner}/{repo}/dependency-graph/compare/{basehead}

github.com:github-rest-api

Summary: Get a diff of the dependencies between commits
Operation ID: dependency-graph/diff-range
Auth: bearer_token
Description

Gets the diff of the dependency changes between two commits of a repository, based on the changes to the dependency manifests made in those commits.

Parameters (4)

basehead (string, path, required)

The base and head Git revisions to compare. The Git revisions will be resolved to commit SHAs. Named revisions will be resolved to their corresponding HEAD commits, and an appropriate merge base will be determined. This parameter expects the format `{base}...{head}`.

name (string, query, optional)

The full path, relative to the repository root, of the dependency manifest file.

owner (string, path, required)

The account owner of the repository. The name is not case sensitive.

repo (string, path, required)

The name of the repository without the `.git` extension. The name is not case sensitive.

No probe data for this endpoint yet.